Skip to Content
OneKYC
Tenant API (KYC)API reference (OpenAPI)

KYC Audit

1 operation

Last updated:
GET
/v1/kyc/audit

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Query Parameters

page?integer

Page (default 1)

page_size?integer

Page size (1-100, default 50)

action?string

Filter by action

actorId?string

Filter by actor UUID

dateFrom?string

From (RFC3339)

dateTo?string

To (RFC3339)

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Paged audit log items

*/*
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://api.onekyc.io/tenant/v1/kyc/audit' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "page": 0,    "page_size": 0,    "total_items": 0,    "total_pages": 0  },  "success": true,  "data": [    {      "action": "string",      "actor_email": "string",      "actor_id": "string",      "actor_type": "string",      "created_at": "string",      "details": {        "changes": [          "string"        ],        "metadata": {          "property1": null,          "property2": null        },        "new_value": {          "property1": null,          "property2": null        },        "old_value": {          "property1": null,          "property2": null        }      },      "id": "string",      "resource_id": "string",      "resource_type": "string",      "tenant_id": "string"    }  ]}